package view;

import javafx.fxml.FXML;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.text.Text;
import javafx.util.converter.NumberStringConverter;
import modele.Capteur;
import modele.CapteurImage;
import modele.CapteurVirtuel;

import java.io.IOException;

public class ViewCapteurImage extends FxmlWindow {


    @FXML
    private Text temperature;

    @FXML
    private ImageView image;

    public ViewCapteurImage(CapteurImage leCapteur, String url, String title) throws IOException {
        super(url, title);

        temperature.textProperty().bindBidirectional(leCapteur.temperatureProperty(), new NumberStringConverter());
        image.imageProperty().bindBidirectional(leCapteur.imageProperty());
    }


}
